<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Employee Reimbursement Service</title>
    <link rel="stylesheet" href="style.css" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1"
      crossorigin="anonymous"
    />
  </head>
  <body class="home">
    <navbar class="custom-navbar">
        <ul class="navlist">
          <li><a href="index.html">Index</a></li>
          <li><button type="button" id="homepageBtn" class="btn btn-primary">Homepage</button></li>
          <li><a href="login.html">Login</a></li>
          <li><button type="button" id="logoutBtn" class="btn btn-primary">Logout</button></li>
        </ul>
      </navbar>
      
    <!-- main content of the page -->
    <h1 class="greeting-header">Welcome to the login page!</h1>
    <br />
    <div class = "forms" id = "loginForm">
      <button id="logoutBtn" class="btn btn-primary" type="button" hidden="false">Logout</button>
      <br />
      <h2>Login here:</h2>
      <br />
      <form>
          <label for="username-label" class="form-label">Username:</label>
          <input type="text" class="form-control" id="usernameInput">
          <br />
          <label for="password-label" class="form-label">Password:</label>
          <input type="password" class="form-control" id="passwordInput">
          <br />
          <button id="loginBtn" class="btn btn-primary" type="button">Login</button>
      </form>
    </div>
    <br />
    <h3 id="loginSuccessMsg" hidden="true">Login Successful!</h3>
    <h3 id="loginFailureMsg" hidden="true">Login Failed. Please try again.</h3>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" 
      integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" 
      crossorigin="anonymous">
    </script>
    <script src="ers_data.js"></script>
    <script src="login.js"></script>
    <script src="all_pages.js"></script>
  </body>
</html>